Selecting many features in PostGIS layer leads to PostgreSQL crash

2014-07-16 06:46 AM - Milos Kroulik

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19267

Description

When I tried to select all features in large PostGIS layer (definition in attachment), I experienced crash of PostgreSQL (as documented in

the screenshot). It seems to be memory-related, as selecting only some of the features works as expected.

Software used was:

    -  Debian 3.2.46-1+deb7u1 x86_64 

    -  PostgreSQL 9.4

    -  PostGIS 2.1

Please let me know, if you need  more info.

History

#1 - 2014-07-17 05:24 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Vectors

the sql file does not contain any data, and does not seems to be possible to use it to restore the table in any other db.

Does the issue shows with any other large table? any type of geometry or just a specific one? how many features should we select to replicate the issue?

How to select, manually from map canvas? from table of attributes? with an expression?

#2 - 2014-08-03 03:25 AM - Matthias Kuhn

- Status changed from Feedback to Closed

If PostgreSQL crashes please file a bug on the PostgreSQL issue tracker or provide information about what QGIS needs to change if there is a good

reason to do so.

Files
